"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jovo_cli_core_1 = require("jovo-cli-core");
const utils_1 = require("../utils");
const project = jovo_cli_core_1.getProject();
async function hook() {
    if (['-v', '-V', '--version', 'version'].includes(process.argv[2])) {
        console.log('\nJovo CLI Version: ' + require('../../package').version);
        if (await project.isInProjectDirectory()) {
            const packages = await utils_1.getPackages(/^jovo\-/);
            if (Object.keys(packages).length) {
                console.log('\nJovo packages of current project:');
                for (const packageName of Object.keys(packages)) {
                    console.log(`  ${packageName}: ${packages[packageName].version}`);
                }
            }
        }
        console.log();
        return process.exit(0);
    }
}
exports.default = hook;
//# sourceMappingURL=VersionHook.js.map