"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function scaffold(params) {
    switch (params.type) {
        case 'js':
            return getJs(params);
        case 'ts':
            return getTs(params);
        default:
            return '';
    }
}
exports.scaffold = scaffold;
function getJs({ handler }) {
    return `'use strict';
const { App } = require('jovo-framework');
const { Alexa } = require('jovo-platform-alexa');
const { GoogleAssistant } = require('jovo-platform-googleassistant');
const { JovoDebugger } = require('jovo-plugin-debugger');
const { FileDb } = require('jovo-db-filedb');
const app = new App();
	
app.use(
	new Alexa(),
	new GoogleAssistant(),
	new JovoDebugger(),
	new FileDb()
);
	
app.setHandler(${handler});
	
module.exports = { app };`;
}
function getTs({ handler }) {
    return `import { App } from 'jovo-framework';
import { Alexa } from 'jovo-platform-alexa';
import { GoogleAssistant } from 'jovo-platform-googleassistant';
import { JovoDebugger } from 'jovo-plugin-debugger';
import { FileDb } from 'jovo-db-filedb';
	
const app = new App();
	
app.use(
	new Alexa(),
	new GoogleAssistant(),
	new JovoDebugger(),
	new FileDb(),
);
	
app.setHandler(${handler});
	
module.exports = { app };`;
}
//# sourceMappingURL=Scaffolder.js.map